<?php

namespace Drupal\imagefield_default_alt_and_title;

use Drupal\node\Entity\Node;

class ImagefieldDefaultAltAndTitleBatch {

  function addedData($data, $type, &$context) {
    $message = Drupal.t('Processing Node...');
    $results = array();


    foreach ($data as $item) {
      $node = Node::load($item);
//      $results[] = $node->delete();
    }



    $context['message'] = $message;
    $context['results'] = $results;
  }

  function addedDataFinishedCallback($success, $results, $operations) {
    if ($success) {
      $message = \Drupal::translation()
                        ->formatPlural(count($results), 'One post processed.', '@count posts processed.');
    }
    else {
      $message = t('Finished with an error.');
    }
    drupal_set_message($message);
  }
}
